Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 2.14.2

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::MessageBus

Resolution: Solved Issue FAQ Links:  

Description

Support Anfrage:

Es geht um die Größe des Messagebus. Diese kann ich im Property Browser anpassen. Zusätzlich muss ich, so wie ich das

verstanden haben, auch noch in der Header (dx_udp_extension_intf.h) anpassen. So steht es zumindest im SDK.

Reicht nun ein Neustart von ADTF aus, oder muss ich hier etwas wie bei einem Filter neu "bauen" lassen? Da ich mit einem anderen

Programm auf den Messagebus zugreife, habe ich schon versucht den letzten Wert (Bytepos 79000) zu importieren. Jedoch sind die

Daten nicht gleich wie in ADTF im Signal View. Hier habe ich die Konfig geschlossen, und neu gestartet.

Lösung:

Die Komponente die die "CreateChannel"-Methode ruft muss die gleiche Größe angeben, wie die Gegenstelle und mit diesem neuen

Parameter neu gebaut werden.

Ist die Gegenstelle ADTF, so kann dieser Wert in der Property geändert werden. Ein Neustart von ADTF ist nicht notwendig, es

reicht wenn die Konfiguration neu initialisiert und gestartet wird.

Nein, der Header ((dx_udp_extension_intf.h) muss nicht angepasst werden.

Die Einstellung im ADTF über die GUI reicht aus.

History

#1 - 2019-01-21 15:48 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::MessageBus

- Customer set to AUDI

- Department set to EF

#2 - 2019-01-31 09:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Jan,

sorry für die späte Antwort.

Die Komponente die die "CreateChannel"-Methode ruft muss die gleiche Größe angeben, wie die Gegenstelle und mit diesem neuen Parameter neu

gebaut werden.

Ist die Gegenstelle ADTF, so kann dieser Wert in der Property geändert werden. Ein Neustart von ADTF ist nicht notwendig, es reicht wenn die

Konfiguration neu initialisiert und gestartet wird.

Ich hoffe, dass ich Deine Frage richtig verstanden habe und beantworten konnte :-)

Sollten noch offene Fragen sein, dann teile uns bitte auch Deine ADTF Version mit.

Danke und Gruß

Frank

2024-04-29 1/2



#5 - 2019-01-31 10:00 - hidden

Hallo Frank,

ADTF 2.13.x und 2.14.x

Danke für die Antwort, allerdings ist das nicht ganz die Antwort auf meine Frage.

Den Messagebus kann ich ja direkt in ADTF aktivieren und dann eben die Größe anpassen. Wenn ich das in ADTF gemacht habe, muss ich dann

zusätzlich noch den Header (dx_udp_extension_intf.h) anpassen?

Wenn ja, muss ich dann etwas neu kompilieren?

Gerne kannst du mich auch anrufen.

Viele Grüße

Patrick

#6 - 2019-01-31 10:11 - hidden

- Status changed from Customer Feedback Required to In Progress

#7 - 2019-01-31 13:30 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Patrick,

nein, der Header muss nicht angepasst werden.

Die Einstellung im ADTF über die GUI reicht aus.

Gruß

Frank

#8 - 2019-02-05 10:08 - hidden

- Resolution set to Solved Issue

- Affected Products ADTF 2.14.2 added

- Platform Windows 7 64bit added

Hallo Patrick,

können wir das Ticket damit abschließen?

Bitte um kurzes Feedback.

Danke.

#10 - 2019-02-06 09:35 - hidden

- Subject changed from Messagebus Größe ändern to Messagebus - change size in Property Browser

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#11 - 2019-03-08 14:16 - hidden

- Status changed from To Be Closed to Closed

#12 - 2019-03-08 14:16 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No
